## ocaml-stdcompat 20~git20240529

=== interface_generator/Makefile ===
OCAMLFIND := ocamlfind

OCAMLFIND_AVAILABLE := $(shell \
	if $(OCAMLFIND) query -help >/dev/null 2>&1; then \
		echo true; \
	else \
		echo false; \
	fi \
)

ifeq ($(OCAMLFIND_AVAILABLE),true)
	OCAMLOPT := $(OCAMLFIND) ocamlopt
	OCAMLC := $(OCAMLFIND) ocamlc
	OCAMLDOC := $(OCAMLFIND) ocamldoc
	OCAMLDEP := $(OCAMLFIND) ocamldep
	OCAMLFLAGS := -package unix,compiler-libs.common
	OCAMLLDFLAGS := -linkpkg
else
	OCAMLOPT := $(shell \
		if ocamlopt.opt -version >/dev/null 2>&1; then \
			echo ocamlopt.opt; \
		elif ocamlopt -version >/dev/null 2>&1; then \
			echo ocamlopt; \
		fi \
	)

	OCAMLC := $(shell \
		if ocamlc.opt -version >/dev/null 2>&1; then \
			echo ocamlc.opt; \
		elif ocamlc -version >/dev/null 2>&1; then \
			echo ocamlc; \
		fi \
	)

	OCAMLDOC := ocamldoc

	OCAMLDEP := ocamldep
endif

OCAMLFLAGS += -g
OCAMLCFLAGS += $(OCAMLFLAGS)
OCAMLLDFLAGS += $(OCAMLFLAGS)

ifeq ($(OCAMLC),)
$(error There is no OCaml compiler available in PATH)
endif

ifeq ($(OCAMLOPT),)
	OCAMLOPT_AVAILABLE := false
else
	OCAMLOPT_AVAILABLE := $(shell \
		if $(OCAMLOPT) -version >/dev/null 2>&1; then \
			echo true; \
		else \
			echo false; \
		fi \
	)
endif

ifeq ($(OCAMLOPT_AVAILABLE),true)
	OCAMLBEST := $(OCAMLOPT)
	CMOX := cmx
else
	OCAMLBEST := $(OCAMLC)
	CMOX := cmo
endif

MODULES := interface_tools.ml interface_dumper.ml interface_generator.ml

all : interface_dumper interface_generator

clean :
	- rm -f $(MODULES:.ml=.cmo) $(MODULES:.ml=.cmx) $(MODULES:.ml=.cmi) \
		$(MODULES:.ml=.o) .depend

.depend : $(MODULES) $(MODULES:.ml=.mli)
	$(OCAMLDEP) $^ >$@

ifneq ($(MAKECMDGOALS),clean)
-include .depend
endif

interface_dumper : interface_tools.$(CMOX) interface_dumper.$(CMOX)
	$(OCAMLBEST) $(OCAMLLDFLAGS) $^ -o $@

interface_generator : interface_tools.$(CMOX) interface_generator.$(CMOX)
	$(OCAMLBEST) $(OCAMLLDFLAGS) $^ -o $@

%.cmi : %.mli
	$(OCAMLC) $(OCAMLCFLAGS) -c $< -o $@

%.cmo : %.ml
	$(OCAMLC) $(OCAMLCFLAGS) -c $< -o $@

%.cmx : %.ml
	$(OCAMLOPT) $(OCAMLCFLAGS) -c $< -o $@

## ocaml-stdcompat 10

=== debian/changelog ===
ocaml-stdcompat (10-1build1) focal; urgency=medium

  * No change rebuild against new ocaml ABI

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 20 Feb 2020 22:44:07 +0000

ocaml-stdcompat (10-1) unstable; urgency=medium

  * Initial release (Closes: #939011)

 -- Stéphane Glondu <glondu@debian.org>  Sat, 31 Aug 2019 09:32:10 +0200

=== debian/control ===
Source: ocaml-stdcompat
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
 Stéphane Glondu <glondu@debian.org>
Build-Depends:
 debhelper-compat (= 12),
 ocaml-nox,
 dh-ocaml
Standards-Version: 4.4.0
Section: ocaml
Homepage: https://github.com/thierry-martinez/stdcompat
Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-stdcompat.git
Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-stdcompat

Package: libstdcompat-ocaml-dev
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: compatibility module for OCaml standard library (development)
 Stdcompat is a compatibility layer allowing programs to use some
 recent additions to the OCaml standard library while preserving the
 ability to be compiled on former versions of OCaml.
 .
 The module Stdcompat provides some definitions for values and types
 introduced in recent versions of the standard library. These
 definitions are just aliases to the matching definition of the
 standard library if the latter is recent enough. Otherwise, the
 module Stdcompat provides an alternative implementation.
 .
 This package contains the development files.

Package: libstdcompat-ocaml
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Description: compatibility module for OCaml standard library (runtime)
 Stdcompat is a compatibility layer allowing programs to use some
 recent additions to the OCaml standard library while preserving the
 ability to be compiled on former versions of OCaml.
 .
 The module Stdcompat provides some definitions for values and types
 introduced in recent versions of the standard library. These
 definitions are just aliases to the matching definition of the
 standard library if the latter is recent enough. Otherwise, the
 module Stdcompat provides an alternative implementation.
 .
 This package contains the runtime files.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/ocaml/ocamlvars.mk

DESTDIR=$(CURDIR)/debian/tmp

%:
	dh $@ --with ocaml --no-parallel

override_dh_auto_configure:
	dh_auto_configure -- --libdir=$(OCAML_STDLIB_DIR)

override_dh_auto_install:
	dh_auto_install
	chmod a-x $(DESTDIR)$(OCAML_STDLIB_DIR)/stdcompat/*

override_dh_missing:
	dh_missing --fail-missing

=== debian/watch ===
version=3
https://github.com/thierry-martinez/stdcompat/releases .*/archive/(.*)\.tar\.gz

## ocaml-stdcompat 14

=== debian/changelog ===
ocaml-stdcompat (14-2) unstable; urgency=medium

  * Run tests only on native architectures

 -- Stéphane Glondu <glondu@debian.org>  Fri, 07 Aug 2020 11:35:46 +0200

ocaml-stdcompat (14-1) unstable; urgency=medium

  * New upstream release
  * Bump debhelper compat level to 13
  * Bump Standards-Version to 4.5.0
  * Add Rules-Requires-Root: no

 -- Stéphane Glondu <glondu@debian.org>  Thu, 06 Aug 2020 15:23:05 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: ocaml-stdcompat
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders:
  Stéphane Glondu <glondu@debian.org>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  ocaml-nox,
  dh-ocaml
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Section: ocaml
 Homepage: https://github.com/thierry-martinez/stdcompat
 Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-stdcompat.git

=== debian/rules ===
--- 
+++ 
@@ -9,11 +9,16 @@
 	dh $@ --with ocaml --no-parallel
 
 override_dh_auto_configure:
+	$(MAKE) -f Makefile.bootstrap
 	dh_auto_configure -- --libdir=$(OCAML_STDLIB_DIR)
 
 override_dh_auto_install:
 	dh_auto_install
 	chmod a-x $(DESTDIR)$(OCAML_STDLIB_DIR)/stdcompat/*
 
-override_dh_missing:
-	dh_missing --fail-missing
+override_dh_auto_test:
+ifeq ($(OCAML_HAVE_OCAMLOPT),yes)
+	dh_auto_test
+endif
+
+override_dh_dwz:

=== debian/watch ===
version=3
https://github.com/thierry-martinez/stdcompat/releases .*/archive/v?(.*)\.tar\.gz

## ocaml-stdcompat 18

=== debian/changelog ===
ocaml-stdcompat (18-1) unstable; urgency=medium

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Mon, 21 Feb 2022 08:11:17 +0100

ocaml-stdcompat (17-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.6.0
  * Update debian/watch

 -- Stéphane Glondu <glondu@debian.org>  Fri, 19 Nov 2021 10:16:36 +0100

=== debian/watch ===
version=4
https://github.com/thierry-martinez/stdcompat/releases .*/archive/refs/tags/v?(.*)\.tar\.gz

## ocaml-stdcompat 19

=== debian/changelog ===
ocaml-stdcompat (19-1) unstable; urgency=medium

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Mon, 23 Jan 2023 10:28:43 +0100

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,9 @@
  Stéphane Glondu <glondu@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
- ocaml-nox,
+ ocaml,
  dh-ocaml
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Section: ocaml
 Homepage: https://github.com/thierry-martinez/stdcompat

## ocaml-stdcompat 20~git20240529

=== debian/changelog ===
ocaml-stdcompat (20~git20240529-2) unstable; urgency=medium

  * Add compatibility with OCaml 5.3

 -- Stéphane Glondu <glondu@debian.org>  Tue, 14 Jan 2025 08:40:05 +0100

ocaml-stdcompat (20~git20240529-1) unstable; urgency=medium

  * New upstream snapshot, compatible with OCaml 5.2.0 (Closes: #1073903)
  * Bump Standards-Version to 4.7.0

 -- Stéphane Glondu <glondu@debian.org>  Sat, 29 Jun 2024 09:11:55 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  debhelper-compat (= 13),
  ocaml,
  dh-ocaml
-Standards-Version: 4.6.0
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Section: ocaml
 Homepage: https://github.com/thierry-martinez/stdcompat

=== debian/rules ===
--- 
+++ 
@@ -15,10 +15,9 @@
 override_dh_auto_install:
 	dh_auto_install
 	chmod a-x $(DESTDIR)$(OCAML_STDLIB_DIR)/stdcompat/*
+	rm -f $(DESTDIR)$(OCAML_DLL_DIR)/*.owner
 
 override_dh_auto_test:
 ifeq ($(OCAML_HAVE_OCAMLOPT),yes)
 	dh_auto_test
 endif
-
-override_dh_dwz:

## ocaml-stdcompat 21.1

=== debian/changelog ===
ocaml-stdcompat (21.1-2) unstable; urgency=medium

  * Add 5.4.1 to known OCaml versions
  * Bump Standards-Version to 4.7.3
  * Remove Priority field from debian/control

 -- Stéphane Glondu <glondu@debian.org>  Mon, 02 Mar 2026 09:59:38 +0100

ocaml-stdcompat (21.1-1) unstable; urgency=medium

  * New upstream release
  * Add OCaml 5.4 support
  * Use ocaml_dune dh buildsystem
  * Switch debian/watch to version 5
  * Bump Standards-Version to 4.7.2
  * Remove Rules-Requires-Root

 -- Stéphane Glondu <glondu@debian.org>  Thu, 18 Dec 2025 10:35:56 +0100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: ocaml-stdcompat
-Priority: optional
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders:
  Stéphane Glondu <glondu@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  ocaml,
- dh-ocaml
-Standards-Version: 4.7.0
-Rules-Requires-Root: no
+ ocaml-dune,
+ dh-ocaml (>= 2)
+Standards-Version: 4.7.3
 Section: ocaml
 Homepage: https://github.com/thierry-martinez/stdcompat
 Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-stdcompat.git
